# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/
%global hash 4ea8a43

Name:    peldd
Version: 0.3.0
Release: %{?hash:0.1.git%{hash}}%{!?hash:1}%{?dist}
Summary: DLL dependency resolver for PE32(+) executables

License: MIT
URL:     https://git.tblflip.de/root/peldd
Source0: %{name}-%{version}%{?hash:.git%{hash}}.tar.xz

BuildRequires: cmake gcc gcc-c++
BuildRequires: slang-devel

%description
DLL dependency resolver for PE32(+) executables


%prep
%setup -q -n %{name}-%{version}%{?hash:.git%{hash}}


%build
%cmake
%cmake_build


%install
mkdir -p %{buildroot}%{_bindir}
install -m0755 %__cmake_builddir/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%{_bindir}/peldd


%changelog
* Fri Jan 17 2025 Tomas Chang <changyp6@gmail.com> - 0.3.0
- Initial build

